<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.groupon.mapper.GrouponImageMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="grouponImageResultMap" type="org.springblade.modules.groupon.entity.GrouponImage">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="groupon_id" property="grouponId"/>
        <result column="url" property="url"/>
        <result column="type" property="type"/>
    </resultMap>
    <delete id="deleteByGrouponId">
        delete from t_groupon_image where groupon_id = #{gruponId}
    </delete>


    <select id="selectGrouponImagePage" resultMap="grouponImageResultMap">
        select * from t_groupon_image where is_delete = 0
    </select>

</mapper>
